# opam configuration
#source /home/raphy/.opam/opam-init/init.fish > /dev/null 2> /dev/null; or true
# fish_add_path /home/raphy/.cabal/bin /home/raphy/.cargo/bin /home/raphy/.local/bin

set EDITOR nvim

# mirroring .profile
set MOZ_ENABLE_WAYLAND 1


# FZF 
set fzf_preview_file_cmd preview
set fzf_preview_dir_cmd exa --all --color=always
fzf_configure_bindings --directory=\cf

#prompt 

set --global hydro_symbol_prompt "λ❱"
set --global hydro_color_prompt brblue
set --global hydro_color_pwd bryellow


source ~/.ghcup/env
# direnv hook fish | source
navi widget fish | source

# >>> conda initialize >>>
# !! Contents within this block are managed by 'conda init' !!
# eval /home/raphy/miniconda3/bin/conda "shell.fish" "hook" $argv | source
# <<< conda initialize <<<

